import PointsForRendering
import Graphics.Rendering.OpenGL
import Graphics.UI.GLUT  as GLUT
import Star

main = do
  (progName,_) <-  getArgsAndInitialize

  createWindow (progName++"1")
  displayCallback $= display 
  projection (-5) 5 (-5) 5 (-5) 5

  createWindow (progName++"2")
  displayCallback $= display 
  projection 0 0.8 (-0.8) 0.8 (-0.5) 0.5

  mainLoop

projection xl xu yl yu zl zu = do 
  matrixMode $= Projection
  loadIdentity
  ortho xl xu yl yu zl zu
  matrixMode $= Modelview 0

display = do
 clearColor $= Color4 1 1 1 1
 clear [ColorBuffer]
 currentColor $= Color4 1 0 0 1
 star 0.9 7
 currentColor $= Color4 1 1 0 1
 star 0.4 5
