module Ring where

import PointsForRendering
import Circle
import Graphics.Rendering.OpenGL
ringPoints innerRadius outerRadius 
 = concat$map (\(x,y)->[x,y]) (points++[p])
  where
    innerPoints = circle innerRadius
    outerPoints = circle outerRadius
    points@(p:_) = zip innerPoints outerPoints
ring innerRadius outerRadius 
 = displayPoints (ringPoints innerRadius outerRadius)  QuadStrip
