import Circle
import PointsForRendering
import StateUtil

import Graphics.Rendering.OpenGL
import Data.IORef
import Graphics.UI.GLUT 

main = do
  (progName,_) <-  getArgsAndInitialize
  createWindow progName
  radius <- new 0.1
  displayCallback $= display radius
  keyboardMouseCallback $= Just (keyboard radius)
  mainLoop
display radius = do
  clear [ColorBuffer]
  r <- get radius
  fillCircle r
keyboard radius (Char '+') Down _ _ = do 
  r <- get radius
  radius $=  r+0.05
  postRedisplay Nothing
keyboard radius (Char '-') Down _ _ = do 
  r <- get radius
  radius $=  r-0.05
  postRedisplay Nothing
keyboard _ _ _ _ _ = return ()
